{
  description = "An pong clone written in OCaml, using the TSDL SDL bindings";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      overlays = [];
      system = "x86_64-linux";
      pkgs = import nixpkgs {
        inherit system overlays;
      };
      meta = with nixpkgs.lib; {
        #homepage = "https://example.com";
        #license = [ licenses.gpl3 ];
        platforms = [ system ];
        #maintainers = with maintainers; [ ];
      };
    in with pkgs.ocamlPackages; {
      devShells.${system}.default = with pkgs; mkShell {
        packages = [
          ocaml-lsp
          ocamlformat
        ];
        inputsFrom = with self.packages.${system}; [ ocaml_pong ];
      };
      packages.${system} = {
        default = self.packages.${system}.ocaml_pong;
        ocaml_pong = buildDunePackage rec {
          pname = "ocaml_pong";
          version = "0.1.0";
          src = ./.;
          buildInputs = [ tsdl ];
          inherit meta;
        };
      };
    };
}
